CEGUI Logo
This issue tracker is now in read-only mode. We migrated all our old bug reports to our bitbucket issue tracker
Please use our new issue tracker to report bugs. You can easily find all mantis tickets on our new issue tracker by selecting the appropriate bitbucket repo (CEGUI/CEED/Silly) and searching for the mantis ticket ID number.

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000645CEGUICore library (CEGUIBase)public2011-12-16 00:302012-06-11 16:26
Reporterpav 
Assigned ToCrazyEddie 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionMercurial: default branch 
Target Version0.8.0Fixed in Version0.8.0 
Summary0000645: UnknownObjectException when more than one property with layoutOnWrite="true" are used
DescriptionI'm not sure if this should go to "Core library" or "Falagard".

When I use more than one PropertyDim that refer to properties with layoutOnWrite="true" in the same Dim in a child window, it throws exceptions but still works:

CEGUI::UnknownObjectException in file cegui_mk2-build/cegui/src/PropertySet.cpp(122) : There is no Property named 'Test2' available in the set.
Steps To ReproduceModifying OgreTray.looknfeel for easy reproduction:
@@ -4251,6 +4251,8 @@
 :::: Tab control
 -->
     <WidgetLook name="OgreTray/TabControl">
+ <PropertyDefinition name="Test" initialValue="{0,20}" layoutOnWrite="true"/>
+ <PropertyDefinition name="Test2" initialValue="1" layoutOnWrite="true"/>
         <Property name="TabButtonType" value="OgreTray/TabButton" />
         <Property name="TabTextPadding" value="{0,6}" />
         <Child type="OgreTray/TabContentPane" nameSuffix="__auto_TabPane__">
@@ -4258,9 +4260,9 @@
                 <Dim type="LeftEdge"><AbsoluteDim value="0" /></Dim>
                 <Dim type="RightEdge"><UnifiedDim scale="1" type="Width" /></Dim>
                 <Dim type="TopEdge">
- <PropertyDim widget="__auto_TabPane__" name="EnableBottom">
+ <PropertyDim name="Test2">
                         <DimOperator op="Multiply">
- <PropertyDim name="TabHeight" type="Height" />
+ <PropertyDim name="Test" type="Height" />
                         </DimOperator>
                     </PropertyDim>
                 </Dim>

Layout (Any layout that uses the tabcontrol):
<Window Name="test312" Type="OgreTray/TabControl">
    <Property Name="Position" Value="{{0,10},{0,10}}" />
    <Property Name="Size" Value="{{1,-20},{0,70}}" />
    <Window Name="qqq" Type="DefaultWindow">
    </Window>
</Window>
Additional InformationMercurial: changeset 2914
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000996)
CrazyEddie (administrator)
2012-05-24 18:38

Hi

I could not reproduce the issue exactly as described, but using the steps provided was able to produce a similar issue related to the use of layoutOnWrite in PropertyDefinitions.

I've committed a fix for the issue I produced, and I hope this also fixes the issue you're reporting here. Let me know, so I can mark this as resolved, thanks.

Fix was this: http://crayzedsgui.hg.sourceforge.net/hgweb/crayzedsgui/cegui_mk2/rev/e85675f50b57 [^]
(0001072)
CrazyEddie (administrator)
2012-06-11 16:26

Marking this as fixed. If the issue still occurs, let me know and I'll retest.

- Issue History
Date Modified Username Field Change
2011-12-16 00:30 pav New Issue
2012-02-10 09:31 CrazyEddie Target Version 0.8.3 => 0.8.0
2012-05-22 10:24 CrazyEddie Assigned To => CrazyEddie
2012-05-22 10:24 CrazyEddie Status new => assigned
2012-05-24 18:38 CrazyEddie Note Added: 0000996
2012-05-24 18:38 CrazyEddie Status assigned => feedback
2012-06-11 16:26 CrazyEddie Note Added: 0001072
2012-06-11 16:26 CrazyEddie Status feedback => resolved
2012-06-11 16:26 CrazyEddie Fixed in Version 0.8.3 => 0.8.0
2012-06-11 16:26 CrazyEddie Resolution open => fixed
Get Crazy Eddies GUI System at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker